<template lang="html">
  <div class="image-gallery">
    <div class="postslist">
      <div class="postslist-elm" v-for="img in orderedImgsLocal">
        <img :id="img.url" :src="'http://localhost:3000/profile-posts/imgs/'+img.url" alt="">
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name:'ImageGallery',
  props:['images'],
  computed:{
    imgsLocal(){
      return [...this.images]
    },
    orderedImgsLocal(){
      if(this.imgsLocal.length>1){
        return this.imgsLocal.sort((a, b) =>  parseFloat(b.date) - parseFloat(a.date));
      }else {
        return this.imgsLocal;
      }

    }

  }
}
</script>

<style lang="scss">
.image-gallery {
    .postslist {
      display: flex;
        width: 80%;
        flex-wrap: wrap;
        margin: auto;
        justify-content: center;
        margin-top: 3rem;
      .postslist-elm{
        margin: 0.3rem;
        img{
          width:18rem;
          height:18rem;
        }
      }
    }
}
</style>
